某些项目客户端为了保守使用比较早的node.js版本,而内部使用的系统界面可以使用比较新的版本,这样就造成了一台服务器上有两个不同node版本的问题。今天在写一个管理后台的前端安装webpack的时候,提示我的node版本过老。

那么如何使一台设备上有多个版本的node呢~

0.删除之前的node

homebrew安装的

brew uninstall node

官网pkg安装的

sudo rm -rf /usr/local/{bin/{node,npm},lib/node_modules/npm,lib/node,share/man/*/node.*}

1.安装nvm

nvm类似于Python的virtualenv和Ruby的rvm,用来管理不同的版本

curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.33.2/install.sh | bash

2.使用nvm安装node

nvm ls-remote//查看可用版本
nvm install <version>

3.使用nvm切换node.js版本

nvm ls//查看当前可用版本
nvm use <version>//例如nvm use v5.7.0